Panda3D

- Main Page
- Packages
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions

# UnalignedLVecBase4d Class Reference

This is an "unaligned" LVecBase4. More...

List of all members.

## Public Member Functions
| UnalignedLVecBase4d ()
| UnalignedLVecBase4d (VBase4D const copy)
| UnalignedLVecBase4d (double x, double y, double z, double w)
| UnalignedLVecBase4d (UnalignedLVecBase4d const copy)
| getData ()
| Returns the address of the first of the three data elements in the vector.
int | getNumComponents ()
| Returns the number of elements in the vector, 4.
UnalignedLVecBase4d | operator= (UnalignedLVecBase4d const copy)
UnalignedLVecBase4d | operator= (VBase4D const copy)
double | operator[] (int i)
| operator[] (int i)
| set (double x, double y, double z, double w)
| setitem (int i, double v)
## Static Public Member Functions
static TypeHandle | getClassType ()
static int | size ()
| Returns 4: the number of components of a LVecBase4.

## Detailed Description

This is an "unaligned" LVecBase4.

It has no functionality other than to store numbers, and it will pack them in as tightly as possible, avoiding any SSE2 alignment requirements shared by the primary LVecBase4 class.

Use it only when you need to pack numbers tightly without respect to alignment, and then copy it to a proper LVecBase4 to get actual use from it.

## Constructor & Destructor Documentation

UnalignedLVecBase4d | ( |  | ) |

UnalignedLVecBase4d | ( | VBase4D const | copy | ) |

UnalignedLVecBase4d | ( | UnalignedLVecBase4d const | copy | ) |

UnalignedLVecBase4d | ( | double | x,
|  | double | y,
|  | double | z,
|  | double | w
| ) |  |

## Member Function Documentation

static TypeHandle getClassType | ( |  | ) | `[static]`

getData | ( |  | ) |

Returns the address of the first of the three data elements in the vector.

The remaining elements occupy the next positions consecutively in memory.

int getNumComponents | ( |  | ) |

Returns the number of elements in the vector, 4.

UnalignedLVecBase4d operator= | ( | UnalignedLVecBase4d const | copy | ) |

UnalignedLVecBase4d operator= | ( | VBase4D const | copy | ) |

operator[] | ( | int | i | ) |

double operator[] | ( | int | i | ) |

set | ( | double | x,
|  | double | y,
|  | double | z,
|  | double | w
| ) |  |

setitem | ( | int | i,
|  | double | v
| ) |  |

static int size | ( |  | ) | `[static]`

Returns 4: the number of components of a LVecBase4.

All Classes Namespaces Functions Variables Enumerations Enumerator Properties